Update a VectorDB project
- Base URL
-
https://api.elastic-cloud.com
- PATCH /api/v1/serverless/projects/vectordb/{id}
Only the fields included in the body of the request will be updated.
Request body
The VectorDB project patch body
-
aliasstring · min length: 1 · max length: 50 · pattern: ^[a-zA-Z]{1}(?:[a-zA-Z0-9-]*[a-zA-Z0-9]{1})?$ -
A custom domain label compatible with RFC-1035 standards. Derived from the project name by default.
-
search_lakeobjectnullable -
Configuration for entire set of capabilities that make the data searchable in VectorDB. Pass
nullto reset configuration to the default values. -
metadataobject · min properties: 1 -
Metadata about the project
-
tagsmap string to string · min properties: 1 -
Tags that need to be updated for a project. The maximum number of tags that can be updated is 64.
-
<string>string · min length: 1 · max length: 128 · pattern: ^[a-z0-9][a-z0-9_-]*$ -
annotationsmap string to string · min properties: 1 -
Annotations to set or delete on a project. A value sets or overwrites the key, and
nulldeletes it. Keys that are left out are unchanged. After the patch, a project can have at most 64 annotations. -
<string>string · min length: 1 · max length: 128 · pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]*$ -
monitoringobjectnullable -
Configuration for monitoring a project. Pass
nullto reset all monitoring configuration.
Responses
The updated VectorDB project.
-
aliasstring · min length: 8 · max length: 57 · pattern: ^[a-zA-Z]{1}(?:[a-zA-Z0-9-]*[a-zA-Z0-9]{1})?$required -
A domain label compatible with RFC-1035 standards. Project alias with a unique suffix added by the system to avoid naming conflicts.
-
metadataobjectrequired -
Additional details about the project.
-
tagsmap string to string · min properties: 1 · max properties: 64 -
Tags associated with a project in the form of key-value pairs. Tags are limited to a minimum of 1 and a maximum of 64 per project. Each tag key must begin with a lowercase letter (a-z), contain only lowercase letters, digits, underscores, and hyphens (a-z0-9_-), and have a maximum length of 32 characters.
-
<string>string · min length: 1 · max length: 128 · pattern: ^[a-z0-9][a-z0-9_-]*$ -
system_tagsmap string to string -
System tags associated with a project in the form of key-value pairs. These tags are added by the internal system and are read-only. The keys are prefixed with an underscore to differentiate them from user tags.
-
<string>string · min length: 1 · max length: 128 · pattern: ^[a-z0-9][a-z0-9_-]*$ -
annotationsmap string to string · min properties: 1 · max properties: 64 -
Annotations associated with a project, as key-value pairs that keep their case. A project can have at most 64 annotations, separate from its tags. Each key must start with a letter, contain only letters, digits, underscores and hyphens (a-zA-Z0-9_-), and be at most 32 characters long. Annotations can't be used in cross-project search and can't filter the project list.
-
<string>string · min length: 1 · max length: 128 · pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]*$ -
cloud_idstringrequired -
The cloud ID, an encoded string that provides other Elastic services with the necessary information to connect to this Elasticsearch and Kibana.
-
monitoringobject -
Configuration for monitoring a project.
-
loggingobject -
Configuration for project logs.
-
auditobject -
Configuration for logs from a specific category.
-
destinationobjectrequired -
Configuration for destination of logs.
-
project_typeenumrequired -
The type of the linked project
-
Values:
elasticsearchobservabilitysecurityvectordb -
statusenumrequired -
The state of log delivery to this destination. Controlled by the system and read-only: it is set to
suspendedordeletedwhen the destination project is suspended or deleted. Logs are only delivered when this isenabledand the logging category'senabledflag is true. -
Values:
enabledsuspendeddeleted
Not Found
Conflict